[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RE: Trying to get user modification tools and policy source



> 
> The Tresys setools depend on policy-sources, so you'll still need them
> anyway.  yum install checkpolicy policy-sources.  IMHO, they should be
> installed by default unless someone explicitly chooses minimal
> install. 

As I just noted on another thread, in the next couple of weeks we will release
v1.4 of setools that will enable our core library to work directly off the
policy binary.  For the tools that just look at the policy (seinfo, apol,
sesearch,...), the dependency on policy sources will no longer be required.

Of course to change the policy (e.g., seuseradd) policy sources will still be
required but we're hoping that dependency will be eliminated (or mitigated)
following release of the policy binary module infrastructure due out later this
summer.

Frank


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]